EC_INTERACT_APPEND_CHARS(3)

NAME
ec_interact_append_chars - Get characters to append to the line for a completion.

SYNOPSIS
#include <ecoli/interact.h>

char * ec_interact_append_chars(
    /*
     * The completion object containing all the completion items.
     */
    const struct ec_comp   *cmpl
);

RETURN VALUE

An allocated string to be appended to the current line (must be freed by the caller using free()). This string can be empty if there is no completion or if completions start with a different letter. Return NULL on error.

SEE ALSO

ec_interact_get_completions(3), ec_interact_print_helps(3), ec_interact_print_error_helps(3), ec_interact_print_cols(3), ec_interact_set_help(3), ec_interact_set_desc(3), ec_interact_get_callback(3), ec_interact_set_callback(3), ec_interact_get_error_helps(3), ec_interact_free_completions(3), ec_interact_get_helps(3), ec_interact_free_helps(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.